Subject: Re: [PATCH MISC 1/1] Make gcc warning about empty if body go away.

From: Jon Loeliger <[email-masked]>
Date: Thu, 08 Nov 2007 09:20:55 -0600

Andreas Ericsson wrote:

>> +    if (active_cache_changed &&
>> +        !write_cache(fd, active_cache, active_nr) && !close(fd))
>> +        commit_locked_index(lock_file);
>>      rollback_lock_file(lock_file);
>>  }
>>  
> 
> Ack, obviously, as it no longer requires a comment to explain it, although
> I'd prefer an empty line after commit_locked_index(lock_file); so as to not
> confuse the rollback_lock_file() statement as being part of the conditional
> path.
> 
> First I thought the rollback_lock_file() was the *only* statement to the
> condition, and everyone who uses 4 for tabsize) will have double trouble
> since commit_locked_index(lock_file) aligns with the second line of the
> condition.
> 

It's too bad this was confusing due to the lack of braces. :-)

jdl